Articles of pip

Python en Synology, ¿cómo se instalan los módulos de Python3 y dónde se instala Python2.7?

¿Me puede recomendar cómo obtener Python3 con los módulos que se ejecutan en mi Synology (DS214play, con DSM 6.0.1-7393 Update 1)? Lo que quiero: ejecutar Tweepy y otros módulos en Python3 en mi Synology. Donde estoy atascado cómo hacer que PIP3 instale Tweepy, si lo bash, obtengo: Requirement already up-to-date: pip in /usr/lib/python2.7/site-packages Aparentemente tengo […]

instalación de pip de gmpy2

Cuando usé pip para instalar gmpy2, siempre obtenía la versión 1.16, es decir, gmpy en lugar de gmpy2. $ pip search gmpy gmpy – GMP or MPIR interface to Python 2.4+ and 3.x INSTALLED: 1.16 (latest) ¿Hay alguna manera de instalar directamente gmpy2 a través de pip?

¿Cómo instalar la criptografía para python3 en Mac OS X?

Al ejecutar la pip3 install cryptography , pip3 da un error: error fatal: no se encontró el archivo ‘openssl / aes.h’ #include 1 error generado. error: el comando ‘/ usr / bin / clang’ falló con el estado de salida 1 Lo comprobé con la brew info openssl y obtuve la respuesta: Generalmente no hay […]

Instalando paquetes de python con múltiples versiones en OSX

Estoy intentando instalar un paquete para python3.4 en Mac OSX 10.9.4. Como saben, python se envía con OSX, así que cuando instalé python3.4 me alegró descubrir que venía con su propia versión de pip, que le instalaría paquetes (la instalación de pip en una mac con varias versiones de python provocará para instalar en el […]

Haciendo que la biblioteca Python de tela funcione

Instalé Fabric a través de Pip, que se instaló a través de Homebrew (OS X 10.6.6). La biblioteca de Fabric es donde pip dice que debería estar, sin embargo, no puedo poner en marcha un archivo de configuración básico. He probado el sencillo ejemplo de “Hola mundo” que se encuentra aquí: http://docs.fabfile.org/en/1.0.1/tutorial.html Bash me da […]

Instale NLTK en Python 2.7 para una máquina de 64 bits

¿Cómo instalar NLTK en python2.7? Hay un paquete NLTK para 32 bits pero ¿qué pasa con 64? Por otra parte no puedo instalar el archivo de la rueda nltk por pip. Por favor ayuda!

python no usa el paquete pip scipy actualizado

Actualmente estoy trabajando con scipy y tengo problemas para actualizarlo. Se instala via pip y pip list me da: … scipy (0.13.2) … Pero cuando enciendo mi python y hago: import scipy print scipy.__version__ Yo obtengo: 0.11.0 ¿Alguna idea de dónde si algo salió mal? Tal vez el camino? Estaba pensando que Python usa mis […]

Diferentes instalaciones de Python en Mac

Tengo dos instalaciones de Python (ambas 2.7). Uno está conectado con mi IDE de Spyder y el otro se reconoce en el terminal (“qué python” me dirige a su ubicación). ¿Cómo puedo eliminar el segundo y establecer el primero como el progtwig de python predeterminado en Mac? Mi problema principal es que cuando uso pip […]

error fatal: el archivo ‘string.h’ no se encuentra después de actualizar a Python 3.2 e instalar ciertos módulos desde un virtualenv

Estoy en Mac OSX 10.8 (Mountain Lion) y acabo de instalar Python 3.2.3. Al instalar pycrypto desde un entorno virtual con esa versión de python: $ virtualenv –no-site-packages -p /usr/local/bin/python3.2-32 venv $ source venv/bin/activate $ pip install pycrypto Me sale el error: gcc-4.2 not found, using clang instead building ‘Crypto.Hash._MD2’ extension warning: GMP or MPIR […]

¿Qué significa el error “resolver () obtuvo un argumento de palabra clave inesperado ‘replace_conflicting'”?

Cuando actualizo ciertos paquetes en mi instalación de Python usando pip obtengo TypeError: resolve() got an unexpected keyword argument ‘replace_conflicting’ Recibo este error para ciertos paquetes y no para otros, y he preguntado acerca de las formas de solucionarlo (idealmente mientras se continúa usando pip ) en los casos específicos donde lo encuentro; pero la […]